Please sync ed 0.7-3 (main) from Debian unstable (main).

Bug #299974 reported by to be removed
0
Affects Status Importance Assigned to Milestone
ed (Debian)
Fix Released
Undecided
Unassigned
ed (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ed

Please sync ed 0.7-3 (main) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:
>>> ENTER_EXPLANATION_HERE <<<

Changelog since current jaunty version 0.7-1ubuntu1:

ed (0.7-3) unstable; urgency=low

  * Apply 08_ubuntu-doc-typo-fix.dpatch to fix spelling/grammar mistake.
    Closes: #505729

 -- Martin Zobel-Helas <email address hidden> Sat, 15 Nov 2008 23:11:20 +0100

ed (0.7-2) unstable; urgency=high

  * Upload by new maintainer, thanks to James Troup for maintaining this
    great package.
  * Fix heap overflow in signal.c, reported by Core Security
    Technologies and fixed upstream.

 -- Martin Zobel-Helas <email address hidden> Tue, 26 Aug 2008 23:44:04 +0200

Related branches

Revision history for this message
to be removed (liw) wrote :

Hmm, requestsync didn't include my explanation for why the merge can be turned into a sync. Let me try again:

The Ubuntu delta included three changes: a spelling/grammar fix, a Standards-Version bump, and adding a Homepage field. Debian has incorporated the first, the second is irrelevant to Ubuntu, and the third should be pushed to Debian. I've filed a bug with Debian about Homepage.

Given that Homepage would be the only relevant change, I don't think maintaining a delta is worth it, so turning this package syncable is a good thing.

Revision history for this message
to be removed (liw) wrote :

The Debian bug is Bug#506234.

Revision history for this message
Daniel Holbach (dholbach) wrote :

Unfortunately do the tarballs in Ubuntu and Debian differ, so we have to do a fake-sync.

Revision history for this message
Daniel Holbach (dholbach) wrote :

I did the fake-sync. (Took the Ubuntu tarball, added Debian changes, added *ubuntu1 changelog entry.)

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ed - 0.7-3ubuntu1

---------------
ed (0.7-3ubuntu1) jaunty; urgency=low

  * Fake-Sync, different tarballs. (LP: #299974)

ed (0.7-3) unstable; urgency=low

  * Apply 08_ubuntu-doc-typo-fix.dpatch to fix spelling/grammar mistake.
    Closes: #505729

ed (0.7-2) unstable; urgency=high

  * Upload by new maintainer, thanks to James Troup for maintaining this
    great package.
  * Fix heap overflow in signal.c, reported by Core Security
    Technologies and fixed upstream.

 -- Daniel Holbach <email address hidden> Mon, 24 Nov 2008 08:44:04 +0100

Changed in ed:
status: New → Fix Released
Changed in ed:
status: Unknown → New
to be removed (liw)
Changed in ed:
importance: Unknown → Undecided
Revision history for this message
Artur Rona (ari-tczew) wrote :

 ed (1.3-2) unstable; urgency=low

   * removed all unneeded patches from debian/patches
   * renamed 08_ubuntu-doc-typo-fix.dpatch to
     01_ubuntu-doc-typo-fix.dpatch. Last patch not yet upstream.
   * Bump Standards Version to 3.8.1.0.
   * Change priority to optional (Closes: #416585).

 -- Martin Zobel-Helas <email address hidden> Mon, 01 Jun 2009 14:53:16 +0200

Changed in ed (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.